Bug 240644 - Some desktop file are ISO-8859 encoded
Summary: Some desktop file are ISO-8859 encoded
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Marcin Garski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-19 06:51 UTC by Aurelien Bompard
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.9.1-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 22:56:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aurelien Bompard 2007-05-19 06:51:53 UTC
Description of problem:
Some desktop files are encoded in ISO-8859, which causes weird characters to
appear when a USB mass storage device is plugged in.
Those files should be in UTF-8, you can convert them in %post using recode (for
example).

$ rpm -ql digikam | grep desktop\$ | xargs file
/usr/share/applications/fedora-digikam.desktop:                            UTF-8
Unicode text
/usr/share/applications/fedora-showfoto.desktop:                           UTF-8
Unicode text
/usr/share/apps/konqueror/servicemenus/digikam-download.desktop:          
ISO-8859 text
/usr/share/apps/konqueror/servicemenus/digikam-gphoto2-camera.desktop:    
ISO-8859 text
/usr/share/apps/konqueror/servicemenus/digikam-mount-and-download.desktop:
ISO-8859 text
/usr/share/services/digikamimageplugin_core.desktop:                       UTF-8
Unicode text
/usr/share/servicetypes/digikamimageplugin.desktop:                        UTF-8
Unicode text

The wrongly-encoded files are those in /usr/share/apps/konqueror/servicemenus/


Version-Release number of selected component (if applicable):
digikam-0.9.1-1.fc6.1

Comment 1 Marcin Garski 2007-06-29 22:56:38 UTC
Thank you for bug report. Files has been converted to UTF-8.


Note You need to log in before you can comment on or make changes to this bug.